﻿//storage.js
// First, let's create a short helper function to get the database connection
function getDatabase()
{
   return openDatabaseSync("GPSLocator", "0.1", "SCLDB", 100000);
}
 
// At the start of the application, we can initialize the tables we need if they haven't been created yet
function initialize()
{
   var db = getDatabase();
   db.transaction(function(tx)
   {
      // If the table exists, this is skipped
      // Program settings
      tx.executeSql('CREATE TABLE IF NOT EXISTS PROGRAMM_SETTINGS(PARAM_NAME TEXT PRIMARY KEY NOT NULL, PARAM_VALUE TEXT NOT NULL)');
      // START LOCATOR ON PHONE BOOT
      //tx.executeSql('INSERT OR REPLACE INTO PROGRAMM_SETTINGS VALUES(?,?);',["START_ON_BOOT","N"]);
      // Show in notification bar
      //tx.executeSql('INSERT OR REPLACE INTO PROGRAMM_SETTINGS VALUES(?,?);',["SHOW_IN_NOTIF_BAR","N"]);
      // The format of the coordinates shown on screen
      //tx.executeSql('INSERT OR REPLACE INTO PROGRAMM_SETTINGS VALUES(?,?);',["COORDINATE_FORMAT","0"]);

      // Locator settings
      tx.executeSql('CREATE TABLE IF NOT EXISTS LOCATOR_SETTINGS(PARAM_NAME TEXT PRIMARY KEY NOT NULL, PARAM_VALUE TEXT NOT NULL)');
      // How often (in minutes) to update the location
    //  tx.executeSql('INSERT OR REPLACE INTO LOCATOR_SETTINGS VALUES(?,?);',["UPDATE_INTERVAL","15"]);
      // Whether to use GPS for positioning or the cellular networks
     // tx.executeSql('INSERT OR REPLACE INTO LOCATOR_SETTINGS VALUES(?,?);',["PROVIDER","Y"]);
      // Timeout, in seconds, for GPS location. If location isn't received within this time the program falls back to network.
    //  tx.executeSql('INSERT OR REPLACE INTO LOCATOR_SETTINGS VALUES(?,?);',["GPS_TIMEOUT","10"]);
      // Keep the locator running. Better accuracy, but bad for battery
   //   tx.executeSql('INSERT OR REPLACE INTO LOCATOR_SETTINGS VALUES(?,?);',["CONTINIOUS_MODE","Y"]);

      // Locator settings
      tx.executeSql('CREATE TABLE IF NOT EXISTS CALLBACK_SETTINGS(PARAM_NAME TEXT PRIMARY KEY NOT NULL, PARAM_VALUE TEXT NOT NULL)');
      // URL to server
    //  tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["URL",""]);
      // A shared secret used to authenticate the phone to the server
    //  tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SECRET",""]);
      // Select this if you wish to send information about the provider of the location data.
    //  tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_PROVIDER","Y"]);
      // Select this if you wish to send the altitude.
    //  tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_ALTITUDE","Y"]);
      // Select this if you wish to send the time of the fix to the server.
//      tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_TIME","Y"]);
      // Select this if you wish to send the bearing.
   //   tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_BEARING","Y"]);
      // Select this if you wish to send the speed.
  //    tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_SPEED","Y"]);
      // Select this if you want the battery status to be sent in the POST request.
   //   tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_BATT_STATUS","Y"]);
      // Sends device id (IMEI / MEID) in POST request.
   //   tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_DEVID","Y"]);
      // Sends subscriber id (IMSI) in POST request.
   //   tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["SEND_SUBSCRID","Y"]);
      // Select this if you want the HTTP response to be displayed in the notification bar instead of the current location.
   //   tx.executeSql('INSERT OR REPLACE INTO CALLBACK_SETTINGS VALUES(?,?);',["HTTP_RESP_IN_NOTIF_BAR","N"]);
   });
}

// Передаём текущее местонахождение на сайт
function setCurrentLocation(
   vLat,
   vLng,
   vParams)
{

   var resp = '';
   var PathToServer = getSetting('CALLBACK','URL');

   //console.log(PathToServer + "?latitude=" + vLat + "&longitude=" + vLng);
    //console.log("Param length: " + length(vParams) + " Params: " + vParams)

   /** Пост запрос **/
   var request = new XMLHttpRequest();

   var vQuery = "?latitude=" + vLat + "&longitude=" + vLng;

   if (vParams.length > 0)
      vQuery += vParams;

   console.log(PathToServer + vQuery);
   request.open("GET", PathToServer + vQuery, true);

   request.send();
}

// Save settings
function setSetting(
   vPrefix,
   vParamName,
   vParamValue)
{
   var db = getDatabase();
   db.transaction(function(tx)
   {
      var rs = tx.executeSql('insert or replace into ' + vPrefix + '_SETTINGS values (?,?);', [vParamName,vParamValue]);

      //                if (rs.rowsAffected > 0)
      //                {
      //                    //console.log("OK");
      //                }
      //                else
      //                {
      //                    //console.log("Error");
      //                }
   });
}

// Get settings by Prefix and Param name
function getSetting(
   vPrefix,
   vParamName)
{
   var db = getDatabase();
   var res="";
   db.transaction(function(tx)
   {
      var rs = tx.executeSql('select PARAM_VALUE from ' + vPrefix + '_SETTINGS where PARAM_NAME = ?;', [vParamName]);
      if (rs.rows.length > 0)
      {
         res = rs.rows.item(0).PARAM_VALUE;
      }
      else
      {
         res = "Unknown";
      }
   });

   return res;
}
