function getSpeedKm(speed)
{
   var Km = (Math.round(speed * 10) / 10) * 3.6;
   return Km.toFixed(2);
}

function convertMsToSec(ms)
{
   return ms / 1000;
}

function convertSecToMs(sec)
{
   return sec * 1000;
}

function convertMinToMs(min)
{
   return min * 60000;
}

function convertDecimalToDMS(coord)
{
    // http://en.wikipedia.org/wiki/Geographic_coordinate_conversion#Conversion_from_Decimal_Degree_to_DMS

    var d = Math.floor (coord);
    var minfloat = (coord - d) * 60;
    var m = Math.floor(minfloat);
    var secfloat = (minfloat - m) * 60;
    var s = Math.round(secfloat);

    // After rounding, the seconds might become 60. These two
    // if-tests are not necessary if no rounding is done.
    if (s==60)
    {
       m++;
       s = 0;
    }

    if (m == 60)
    {
       d++;
       m=0;
    }

    var res = ("" + d + ":" + m + ":" + s);
    //console.log("Coord: " + coord + "Converted Coord: " + res);
    return res;

}

function convertDecimalToDM(coord)
{
    // http://en.wikipedia.org/wiki/Geographic_coordinate_conversion#Conversion_from_Decimal_Degree_to_DMS

    var d = Math.floor (coord);
    var minfloat = (coord - d) * 60;
    var m = Math.floor(minfloat);
    var secfloat = (minfloat - m) * 60;
    var s = Math.round(secfloat);

    // After rounding, the seconds might become 60. These two
    // if-tests are not necessary if no rounding is done.
    if (s==60)
    {
       m++;
       s = 0;
    }

    if (m == 60)
    {
       d++;
       m=0;
    }

    var res = ("" + d + ":" + m);
    //console.log("Coord: " + coord + "Converted Coord: " + res);
    return res;
}


function trim(str, chars)
{
   return ltrim(rtrim(str, chars), chars);
}

function ltrim(str, chars)
{
   chars = chars || "\\s";
   if (typeof(str) == "undefined")
   {
      return '';
   }
   else
   {
      return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
   }
}

function rtrim(str, chars)
{
   chars = chars || "\\s";
   if (typeof(str) == "undefined")
   {
    return '';
   }
   else
   {
      return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
   }
}

function isNumber(vString)
{
    if (typeof vString !== 'number')
    {
        var tmp = parseFloat(vString);
        if (isNaN(tmp)) return false;
    }

    return true;
}
