import QtQuick 1.1
import com.nokia.meego 1.0



PageStackWindow
{
   id: appWindow

   initialPage: MainPage { tools: commonTools; id: mainPage}
   //initialPage: mainPage

  // MainPage { id: mainPage }

   PageSettings
   {
       id: pageSettings;
      // name: "Settings";
   }

   ToolBarLayout
   {
      id: commonTools

      ToolIcon
      {
         visible: pageStack.depth > 1
         platformIconId: "toolbar-back"
         onClicked: { pageStack.pop(); }
      }

      ToolButton
      {
         anchors.horizontalCenter: parent.horizontalCenter
         text: "Update location"
         width: parent.width - 150;
         onClicked: { mainPage.setGPSInfo(); }
      }

      ToolIcon
      {
         platformIconId: "toolbar-view-menu"
         onClicked:
         {
            appWindow.showToolBar = false;
            myMenu.open();
         }
      }
   }

   QueryDialog
   {
      id        : aboutDialog
      titleText : "GPS Locator"
      message   : "(C) 2013, LDV\nversion 0.1a"
   }

   Menu
   {
      id: myMenu
      visualParent: pageStack
      MenuLayout
      {
         MenuItem
         {
             text: qsTr("Settings")
             onClicked: { pageStack.push(pageSettings); }
         }
         MenuItem
         {
            text: qsTr("About")
            onClicked: { aboutDialog.open(); }
         }
         MenuItem
         {
            text: qsTr("Exit")
            onClicked: { Qt.quit(); }
         }
      }
      onStatusChanged:
      {
         if (status === DialogStatus.Closed)
         {
            appWindow.showToolBar = true;
         }
      }
   }
}
